OpenVDB 7.0.0

Classes | Functions
openvdb::v7_0::tools::ttls_internal Namespace Reference

## Classes
struct | DilateOp
struct | ErodeOp
struct | OffsetAndMinComp

## Functions
template<typename GridType , typename InterrupterType >
void | normalizeLevelSet (GridType &grid, const int halfWidthInVoxels, InterrupterType *interrupt=nullptr)
template<typename GridType , typename InterrupterType >
void | smoothLevelSet (GridType &grid, int iterations, int halfBandWidthInVoxels, InterrupterType *interrupt=nullptr)

## Function Documentation

## ◆ normalizeLevelSet()

void openvdb::v7_0::tools::ttls_internal::normalizeLevelSet | ( | GridType & | grid,
|  | const int | halfWidthInVoxels,
|  | InterrupterType * | interrupt = `nullptr`
| ) |  |
| inline

## ◆ smoothLevelSet()

void openvdb::v7_0::tools::ttls_internal::smoothLevelSet | ( | GridType & | grid,
|  | int | iterations,
|  | int | halfBandWidthInVoxels,
|  | InterrupterType * | interrupt = `nullptr`
| ) |  |
| inline